Commit 20246a31 by Stephanie Closson Committed by GitHub

Fix for deprecating packages (#23403)

* Fix for deprecating packages

* fixed tabs

* code review - added set -eo pipefail
parent 67e45a1d
#!/usr/bin/env bash
set -eo pipefail
PACKAGES=(ui toolkit data runtime e2e)
......@@ -28,13 +29,9 @@ function unpublish_previous_canary () {
echo "Unpublish @grafana/${PACKAGE}@${CURRENT_CANARY}"
npm unpublish "@grafana/${PACKAGE}@${CURRENT_CANARY}" || (
# We want to deprecate here, rather than fail and return an non-0 exit code
npm deprecate \
"@grafana/${PACKAGE}@${CURRENT_CANARY}" \
"Unpublish failed with [$?]. Deprecating \"@grafana/${PACKAGE}@${CURRENT_CANARY}\"" || (
# Echoing a log message will ultimately change the error code, so save the error
# code and return it after printing an error log.
echo "Could not deprecate \"@grafana/${PACKAGE}@${CURRENT_CANARY}\". Received exit-code [$?]"
)
echo "Unpublish unsucessful [$?]. Deprecating @grafana/${PACKAGE}@${CURRENT_CANARY}"
# But if this fails, return the error code
npm deprecate "@grafana/${PACKAGE}@${CURRENT_CANARY}"
)
fi
done
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment